
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>神经网络与深度学习（1）：神经元和神经网络 / 憋错料</title>

    <meta name="description" content="神经网络与深度学习（1）：神经元和神经网络 本文总结自&lt;Neural Networks and Deep Learning&gt;第1章的部分内容. 目录 感知器 S型神经元 神经网络的架构 用神经网络识别手写数字 迈向深度学习 感知器(Perceptrons) 1. 基本原理 感知器是一种人工神经元. 一个感知器接受几个二进制输入:x1,x2,...,并产一个二进制输出: 数学模型如下: 可以将感知器看作依据权重来作出决定的设备. 2. 感知器和与非门 可以通过上述简单的权重和偏置实现一个与非门. 输入00, (−2)∗0+(−2 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">神经网络与深度学习（1）：神经元和神经网络</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>本文总结自《<a href="http://neuralnetworksanddeeplearning.com/" rel="external nofollow noreferrer">Neural Networks and Deep Learning</a>》第1章的部分内容。</p>
<h2>目录</h2>
<ol>
<li>
<h3>感知器</h3>
</li>
<li>
<h3>S型神经元</h3>
</li>
<li>
<h3>神经网络的架构</h3>
</li>
<li>
<h3>用神经网络识别手写数字</h3>
</li>
<li>
<h3>迈向深度学习</h3>
</li>
</ol>
<h2><strong>感知器（Perceptrons）</strong></h2>
<h3><strong>1. 基本原理</strong></h3>
<p>感知器是一种人工神经元。</p>
<p>一个感知器接受几个二进制输入：x1，x2，...，并产一个二进制输出：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY4MTg3My8yMDE2MTIvNjgxODczLTIwMTYxMjA4MTYwODM3MzE5LTU0ODEzNDA0Ny5wbmc=.jpg" /></p>
<p>数学模型如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY4MTg3My8yMDE2MTIvNjgxODczLTIwMTYxMjA4MTYwOTA2OTYwLTEyMzQwNjM0NDMucG5n.jpg" /></p>
<p>可以将感知器看作依据权重来作出决定的设备。</p>

<h3>2. 感知器和与非门</h3>

<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY4MTg3My8yMDE2MTIvNjgxODczLTIwMTYxMjA4MTYxODIzMDA3LTIxMDk5MjQ0MTUucG5n.jpg" /></p>
<p>可以通过上述简单的权重和偏置实现一个与非门。</p>
<p>输入00, (&minus;2)&lowast;0+(&minus;2)&lowast;0+3=3， &nbsp; 输出1</p>
<p>输入11,&nbsp;(&minus;2)&lowast;1+(&minus;2)&lowast;1+3=&minus;1， 输出0</p>

<p>由于与非门是通用运算，所以我们完全能用感知器网络来计算任何逻辑功能。</p>

<h3>3. 感知器特点深度</h3>
<p>输入：取值为0或者1。<br />输出：取值为0或者1。</p>
<h2><strong>S型神经元、Sigmoid 神经元（Sigmoid neurons）</strong></h2>

<h3>1.引入S型神经元的原因</h3>
<p>S型神经元和感知器类似，但S型神经元中有一个很好的特性：对权重和偏置的微小改动只引起输出的微小变化。这个特性对于神经网络的自我学习过程很重要。</p>
<p>因为对于一个由多个感知器构成的网络而言，存在如下问题：</p>
<p>这个网络中单个感知器上一个权重或偏置的微小改动有时会引起那个感知器的输出完全翻转，如0变到1。那样的翻转可能接下来引起其余网络络的行为以极其复杂的方式完全改变。</p>
<p>而S型神经元可以克服上述问题。</p>

<h3>2. 与感知器的异同</h3>
<p>输入：可以取0到1之间的任意值，而不同于感知器中只能取0或者1。<br />输出：输出不是0或1，而是0到1之间的任意值，该输出由&sigma;(wx+b)决定，&sigma;被称为S型函数。</p>
<h2><strong>神经网络的架构（The architecture of neural networks）</strong></h2>
<h3>1. 术语</h3>
<p>输入层、输出层、隐藏层</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY4MTg3My8yMDE2MTIvNjgxODczLTIwMTYxMjA4MTcwMjI0NDc2LTY3NzAyNDg1NS5wbmc=.jpg" /></p>
<p>由于历史的原因，尽管是由S 型神经元而不是感知器构成，这种多层网络有时被称为<strong>多层感知器</strong>或者<strong>MLP。</strong></p>
<h3>2. 网络的设计</h3>
<p>输入层和输出层根据具体的问题比较好设计，隐藏层的设计则需要一定的经验、法则。</p>
<blockquote><p>例如，假设我们尝试确定一张手写数字的图像上是否写的是&ldquo;9&rdquo;。很自然地，我们可以将图像像素的强度进行编码作为输入神经元来设计网络。<br />如果图像是一个64  64 的灰度图像，那么我们会需要4096 = 64*64 个输入神经元，每个强度取0 和1 之间合适的值。输出层只需要包含1个神经元，当输出值小于0.5 时表示&ldquo;输入图像不是一个9&rdquo;，大于0.5 的值表示&ldquo;输入图像是一个9&rdquo;。</p></blockquote>

<h2><strong>用神经网络识别手写数字</strong></h2>

<h3>1. 网络架构</h3>
<p>用以下神经网络识别：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY4MTg3My8yMDE2MTIvNjgxODczLTIwMTYxMjA4MTcyMDA3NTU0LTE0ODY4MjQxMjUucG5n.jpg" /></p>
<p>输入层: 28x28 = 784个神经元。每个神经元代表一个像素的值：0.0全白，1.0全黑。<br />隐藏层：一层，n个神经元，例子中 n=15<br />输出层: 10个神经元，分别代表手写数字识别可能的0~9十个数字。例如： 第一个神经元(代表0)的输出值=1, 其他的&lt;1, 数字被识别为0。</p>
<h3>2. 隐藏层在干嘛？</h3>
<p>一种可能的解释：假设隐藏层的第1个神经元只是用于检测如下的图像是否存在：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY4MTg3My8yMDE2MTIvNjgxODczLTIwMTYxMjA4MTcyMzI3MzE5LTE5MjI0NzI2MTMucG5n.jpg" /></p>
<p>隐藏层各个神经元学习到不同的部分:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY4MTg3My8yMDE2MTIvNjgxODczLTIwMTYxMjA4MTcyNDUwMzgyLTE2MDg4MjMxMTMucG5n.jpg" /></p>
<p><img src="/BaiduYunDownload/02%20%E6%B7%B1%E5%BA%A6%E5%AD%A6%E4%B9%A0%E8%BF%9B%E9%98%B6/%E8%AF%BE%E4%BB%B6/%E6%B7%B1%E5%BA%A6%E5%AD%A6%E4%B9%A0%E8%BF%9B%E9%98%B6%E8%AF%BE%E4%BB%B6/%E8%AF%BE%E4%BB%B6/Introduction%20to%20Deep%20Learning%20Advance%20Algorithm%20&amp;%20Applications_files/Image%20[67].png" /><img src="/BaiduYunDownload/02%20%E6%B7%B1%E5%BA%A6%E5%AD%A6%E4%B9%A0%E8%BF%9B%E9%98%B6/%E8%AF%BE%E4%BB%B6/%E6%B7%B1%E5%BA%A6%E5%AD%A6%E4%B9%A0%E8%BF%9B%E9%98%B6%E8%AF%BE%E4%BB%B6/%E8%AF%BE%E4%BB%B6/Introduction%20to%20Deep%20Learning%20Advance%20Algorithm%20&amp;%20Applications_files/Image%20[68].png" /></p>

<p>决定:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY4MTg3My8yMDE2MTIvNjgxODczLTIwMTYxMjA4MTcyNTIzNTg1LTk1NjQ4NjI4NS5wbmc=.jpg" /></p>

<p><img src="/BaiduYunDownload/02%20%E6%B7%B1%E5%BA%A6%E5%AD%A6%E4%B9%A0%E8%BF%9B%E9%98%B6/%E8%AF%BE%E4%BB%B6/%E6%B7%B1%E5%BA%A6%E5%AD%A6%E4%B9%A0%E8%BF%9B%E9%98%B6%E8%AF%BE%E4%BB%B6/%E8%AF%BE%E4%BB%B6/Introduction%20to%20Deep%20Learning%20Advance%20Algorithm%20&amp;%20Applications_files/Image%20[69].png" /></p>

<h2><strong>迈向深度学习（Toward deep learning）</strong></h2>

<h3>1. 深度神经网络</h3>
<p>包含多层结构&mdash;&mdash; 两层或更多隐藏层&mdash;&mdash; 的网络被称为深度神经网络。</p>
<p>对于一个非常复杂的问题（比如这张图像是否有一张脸），深度神经网络可以通过一系列多层结构来解决，将原始问题分解为各个子问题，最终分解成在单像素层面上就可回答的非常简单的问题。</p>
<p>在前面的网络层，它回答关于输入图像非常简单明确的问题，在后面的网络层，它建立了一个更加复杂和抽象的层级结构。</p>
<h3>2.深度神经网络与浅层网络的对比</h3>
<p>深度神经网络有点像传统编程语言使用模块化的设计和抽象的思想来创建复杂的计算机程序。</p>
<p>深度神经网络与浅层网络的对比有点像将一个能够进行函数调用的程序语言与一个不能进行函数调用的精简语言进行对比。</p>
<p>作者：<a href="http://www.cnblogs.com/tsiangleo/" rel="external nofollow noreferrer">tsianlgeo</a></p>
<p>出处：<a href="http://www.cnblogs.com/tsiangleo/" rel="external nofollow noreferrer">http://www.cnblogs.com/tsiangleo/</a></p>
<p>本文版权归作者和博客园共有，欢迎转载，未经同意须保留此段声明，且在文章页面明显位置给出原文链接。欢迎指正与交流。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 23:50:05 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/int/" title="int">int</a>, <a href="https://www.biecuoliao.com/tag/blank/" title="blank">blank</a>, <a href="https://www.biecuoliao.com/tag/%e7%ac%ac%e4%b8%80%e4%b8%aa/" title="第一个">第一个</a>, <a href="https://www.biecuoliao.com/tag/%e8%a7%a3%e5%86%b3/" title="解决">解决</a>, <a href="https://www.biecuoliao.com/tag/name/" title="name">name</a>, <a href="https://www.biecuoliao.com/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.biecuoliao.com/tag/%e6%80%bb%e7%bb%93/" title="总结">总结</a>, <a href="https://www.biecuoliao.com/tag/block/" title="block">block</a>, <a href="https://www.biecuoliao.com/tag/%e8%a7%a3%e9%87%8a/" title="解释">解释</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>神经网络与深度学习（1）：神经元和神经网络的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qBDQG4.html" rel="bookmark">神经网络和深度学习（一）神经网络基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是神经网络? (1)房价预测模型Ⅰ: 神经网络:size x ——&gt; O ——&gt; price y ReLU函数(Rectified linear unit 修正线性单元):修改线性的函数,避免出现price未负数的情况. (2)房价预测模型Ⅱ: 即神经网络为: 2.Binary classification(二分分类): 以识别照片中的猫为例 ① 判定:若是猫,则 y = 1:若不是猫,则 y = 0. ② 图片规格:64*64,数字化表示:3个 64*64矩阵,分别表示Red Gre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0benbeM.html" rel="bookmark">对比《动手学深度学习》 PDF代码&plus;《神经网络与深度学习 》PDF</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着AlphaGo与李世石大战的落幕,人工智能成为话题焦点.AlphaGo背后的工作原理&quot;深度学习&quot;也跳入大众的视野.什么是深度学习,什么是神经网络,为何一段程序在精密的围棋大赛中可以大获全胜?人工智终将会取代人类智慧吗? &lt;神经网络与深度学习&gt;是一本介绍神经网络和深度学习算法基本原理及相关实例的书籍,它不是教科书,作者已尽量把公式减少到最少,以适应绝大部分人的阅读基础和知识储备.&lt;神经网络与深度学习&gt;涵盖了神经网络的研究历史.基础原理.深度学习中的自编码器.深			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/ML2zdQ3.html" rel="bookmark">（转）神经网络和深度学习简史（第一部分）：从感知机到BP算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				深度|神经网络和深度学习简史(第一部分):从感知机到BP算法 2016-01-23 机器之心 来自Andrey Kurenkov 作者:Andrey Kurenkov 机器之心编译出品 参与:chenxiaoqing.范娜Fiona.杨超.微胖.汪汪.赵巍 导读:这是&lt;神经网络和深度学习简史&gt;第一部分.这一部分,我们会介绍1958年感知机神经网络的诞生,70年代人工智能寒冬以及1986年BP算法让神经网络再度流行起来. 深度学习掀起海啸 如今,深度学习浪潮拍打计算机语言的海岸已有好几年,但是,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n1Ox7M.html" rel="bookmark">第一节：神经网络和深度学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				修正现行单元 单神经元网络 在监督学习当中,你输入一个x,习得一个函数,映射到输出y 例如房屋价格预测例子当中,输入房屋的一些特征,就能输出或者是预测价格y, 在现今,深度学习神经网络效果拔群,最主要的就是在线广告, 给网站输入广告信息,网站会考虑是否给你看这个广告,有时候还需要用户输入一些信息,神经网络在预测你是否会点击这个广告方面已经变现的很好了,通过想你展示,向用户展示,最有可能点开的广告,这就是神经网络在很多家公司赚取无法想象的高额利润的应用方式.因为有了这种最有可能点击开的广告的能力,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPDowzM.html" rel="bookmark">深度学习笔记1&lpar;卷积神经网络&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				深度学习笔记1(卷积神经网络) 在看完了UFLDL教程之后,决定趁热打铁,继续深度学习的学习,主要想讲点卷积神经网络,卷积神经网络是深度学习的模型之一,还有其它如AutoEncoding.Deep Belief Network.Restricted Boltzmann Machine和sparse coding等. 在UFLDL教程中提到了针对大型图像的处理,使用卷积和池化的概念.原因主要对于全连接网络,需要的参数就有很多.比如对于一副1000*1000的图像,hidden layer也为100			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4978KD0.html" rel="bookmark">数据分析、数据挖掘、机器学习、神经网络、深度学习和人工智能概念区别（入门级别）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据分析, 就是对数据进行分析, 得出一些结论性的内容, 用于决策. 分析什么哪? 根据分析现状. 分析原因. 预测未来. 分析现状和分析原因, 需要结合业务才能解释清楚. 用到的技术比较简单, 最简单的数据分析工具就是 Excel. 预测未来指的是分析未来一段时间的销售额之类的. 在预测未来方面, 一般用到数据挖掘的技术了. 数据挖掘, 从字面意思上看, 是从数据中挖掘出有价值的信息. 比如, 超市通过对一段时间的客户消费记录能发现, 哪些物品经常被顾客一起购买. 那么, 就可以把这些物品摆放			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVn1jdM.html" rel="bookmark">神经网络与深度学习&mdash;&mdash;《机器学习及应用》汪荣贵 机械工业出版社</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘录自&lt;机器学习及应用&gt;汪荣贵 机械工业出版社 总结了一些神经网络与深度学习中的一些网络介绍. 1.神经元与感知机 (1)关于激活函数 (2)MLP MLP模型的网络结构没有环路或回路,故是一类前馈网络模型.MLP模型中隐含层的层数可为一层也可为多层.对于MLP模型和BP神经网络这样包含多个数据处理层的前馈网络模型而言,其参数更新过程通常较为复杂.这是因为这类模型的最终输出与之前多层的连接权重相关,相当于多层嵌套的函数.若直接使用类似于梯度下降的优化方法对模型进行训练,则无法直接求得各结点所对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rxbwXM.html" rel="bookmark">神经网络和深度学习-学习总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 简介 神经网络和深度学习是由Michael Nielsen所写,其特色是:兼顾理论和实战,是一本供初学者深入理解Deep Learning的好书. 2. 感知器与sigmoid神经元 2.1 感知器(Perceptrons) 感知器工作原理:接收一系列二进制输入,经过特定的规则计算之后,输出一个简单的二进制. 计算规则:通过引入权重(weights)表示每个输入对于输出的重要性,则有 记w?x=∑jwjxj,b=-threshold,则有 其w是权重,b是偏差. 2.2 Sigmoid神经			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgD2xB0.html" rel="bookmark">吴恩达 DeepLearning&period;ai课程笔记（1-3）神经网络和深度学习 --- 浅层神经网络</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下为在Coursera上吴恩达老师的DeepLearning.ai课程项目中,第一部分&lt;神经网络和深度学习&gt;第二周课程部分关键点的笔记.笔记并不包含全部小视频课程的记录,如需学习笔记中舍弃的内容请至 Coursera 或者 网易云课堂.同时在阅读以下笔记之前,强烈建议先学习吴恩达老师的视频课程. 1. 二分类问题 对于二分类问题,大牛给出了一个小的Notation. 样本:  ,训练样本包含  个: 其中  ,表示样本 包含 个特征:  ,目标值属于0.1分类: 训练数据:  输入神经网络时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vpgOoM.html" rel="bookmark">《神经网络与深度学习》（四） 受限玻尔兹曼机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/qiao1245/article/details/50932519 谈到神经网络,就不得不提到最近非常火的深度学习.那么什么是深度学习?它与神经网络的关系是什么?深度学习的基本原理和常用算法是什么?我将在这篇中详细解答. 什么是深度学习 深度学习来源于人工神经网络,它的思想是组合低层次的特征从而构建出更加抽象的深层次特征.深度学习的概念由Hinton等人于2006年提出, 它是一个新的机器学习领域,通过更&quot;深&quot;层次的训练,它可以更加良好的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V02jGo0.html" rel="bookmark" class="title">HDU - 1330 Deck&lpar;物理学力矩&rpar;</a>
					<div>
						题意:在桌子边上叠纸牌,使纸牌超出桌边的长度最长,并且不能掉下去. 即重心最多在桌子边缘上,问给你N张纸牌,最长能超出桌子边缘多长. 把第一块木板的重心放在第二块木板的右边缘,把这两块木板的重心放在第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41llo3.html" rel="bookmark" class="title">Linux dbg debugging</a>
					<div>
						http://h41379.www4.hpe.com/doc/84final/4538/4538pro_contents.html https://kgdb.wiki.kernel.org/index ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPdnwBM.html" rel="bookmark" class="title">WPF中自定义绘制内容</a>
					<div>
						先说结论:实现了在自定义大小的窗口中,加载图片,并在图片上绘制一个矩形框:且在窗口大小改变的情况,保持绘制的矩形框与图片的先对位置不变. 在WinForm中,我们可以很方便地绘制自己需要的内容,在WP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bnBGv0.html" rel="bookmark" class="title">内存损坏问题的演示样例及分析</a>
					<div>
						原文以演示样例代码系统的讲述了三种内存损坏的情况: 全局内存.栈损坏及堆损坏, 以及它们产生的原因. 粗略整理例如以下. Global Memory Corruption 即全局变量的内存使用出了问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38ZV9ZM.html" rel="bookmark" class="title">看过年人流高峰，浅聊并发之战&lbrack;架构篇&rsqb;</a>
					<div>
						引语:人多是好事!人多好赚钱.不过这对于技术人员来说,却也不是一个小问题,我对这种问题一直是抱以一颗敬畏之心的.这更多的是一个架构问题,作为一个开发我也就这点见识了!看着微信.支付宝等等大公司发着几个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEbja0.html" rel="bookmark" class="title">&period;NET 专用词汇解释</a>
					<div>
						专业术语 .NET 在2000年6月22日 微软推出的一款计算机语言 Microsoft.Net(简称 .NET) .Net首先是一个开发平台 它定义了一种公共语言子集(Common Language ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47qgdR0.html" rel="bookmark" class="title">下载最新android adt的方法</a>
					<div>
						作为一名android开发人员,需要经常更新最新版本的 android adt,但是直接到官网去找很难找到下载的链接,通过下面现成的链接,你就能够直接下载最新的android adt了, 网址是:de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5yjg0.html" rel="bookmark" class="title">TCP和UDP的原理、区别</a>
					<div>
						现在Internet上流行的协议是TCP/IP协议,对应着Internet上一些常见的服务.这些常见的服务可以分为使用TCP端口(面向连接)和使用UDP端口(面向无连接)两种. 说到TCP和UDP,首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGbyBM.html" rel="bookmark" class="title">向量旋转公式推导</a>
					<div>
						所以我们得到了函数Rotate Vector Rotate(Vector A,double rad) { return Vector(A.x*cos(rad)-A.y*sin(rad),A.x*sin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvzKn4.html" rel="bookmark" class="title">centos 安装redis3&period;0为解决数据库频繁插入数据IO性能问题</a>
					<div>
						最近发现项目中,数据量产生较大,数据库采用的是sql2008r2,我们发现啊,服务器内存占用不大.cpu占用也不高,但是整台服务器非常慢. 看了一段发现是磁盘IO的问题,由于写入过多.最近在想,把数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDyR6n0.html" rel="bookmark" class="title">ffmpeg save rtsp stream</a>
					<div>
						#include &lt;stdio.h&gt; #ifdef __cplusplus extern &quot;C&quot; { #endif #include &lt;libavcodec/av ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/022xpz0.html" rel="bookmark" class="title">解决kvm虚机不支持virsh console连接的问题</a>
					<div>
						以下三步解决问题: 在虚拟机中执行如下步骤 echo &quot;ttyS0&quot; &gt;&gt; /etc/securetty 在/etc/grub.conf中添加内容 title Cent ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vjQNL3.html" rel="bookmark" class="title">《mysql 必知必会》 笔记（六）</a>
					<div>
						存储过程 存储过程的创建权限和使用权限是分开的. 创建存储过程前先用DELIMITER // 将分隔符改为// 最后再DELIMITER ; 改回来. 用 drop procedure *;删除存储过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6l5Vd3.html" rel="bookmark" class="title">openwrt gstreamer实例学习笔记（七&period; gstreamer 缓冲区&lpar;Buffers&rpar;和事件&lpar;Events&rpar;）</a>
					<div>
						1)概述 管道的数据流由一组缓冲区和事件组成,缓冲区包括实际的管道数据,事件包括控制信息,如寻找信息和流的终止信号.所有这些数据流在运行的时候自动的流过管道. 2) 缓冲区(Buffers) 缓冲区包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqNKq0.html" rel="bookmark" class="title">金蝶handler中 collection 代码片段理解</a>
					<div>
						1,AtsOverTimeBillBatchEditHandler中collection的理解 1 SelectorItemCollection selectors = new SelectorIte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YQaWW0.html" rel="bookmark" class="title">linux下u盘检测程序</a>
					<div>
						       获得U盘的插入或者拔取得信息的传统方法是在内核级运行hotplug程序,相关参数通过环境变量传递过来,再由hotplug通知其他关注hotplug的应用程序,但是效率比较低.       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoX9eB0.html" rel="bookmark" class="title">openoffice4服务启动</a>
					<div>
						安装完openoffice后 1.安装服务 cd C:\Program Files (x86)\OpenOffice 4\program 执行 soffice -headless -accept=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6erny4.html" rel="bookmark" class="title">Scut游戏服务器引擎之Unity3d接入</a>
					<div>
						[狗刨学习网] Scut提供Unity3d Sdk包,方便开发人员快速与Scut游戏服务器对接: 先看Unity3d示例如下: 启动Unity3d项目 打开Scutc.svnSDKUnity3dAss ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bZ8Ov0.html" rel="bookmark" class="title">8个经典HTML5 3D动画赏析</a>
					<div>
						HTML5技术已经越来越被我们所接受,特别是一些3D的动画特效.本文介绍的8个HTML5 3D动画并没有特别华丽的界面,但是比较实用,涉及到3D图片.3D图表.3D按钮等方面,一起来看看. 1.HTM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXoQQw4.html" rel="bookmark" class="title">leetcode 刷题之路 77 Permutations II</a>
					<div>
						Given a collection of numbers that might contain duplicates, return all possible unique permutations ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
